PLATINUM DOCS
ApiVolumes

Durability class, per-attachment write state, last proven receipt

GET
/v1/volumes/{id}/sync

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/v1/volumes/string/sync"
{  "volume_id": "string",  "generation": 1,  "durability": {    "class": "remote-object-store",    "acknowledged_writes": "accepted-by-the-remote-object-store",    "replicated": "unavailable",    "scope": "single-region-single-bucket",    "buffered_writes": "not-observable",    "atomic_multi_file_snapshot": false,    "barrier_supported": true,    "verification": "barrier"  },  "state": "verified",  "verified_through": "string",  "last_settled_barrier": {},  "pending_barrier_id": "string",  "attachments": [    {      "attachment_id": "string",      "sandbox_id": "string",      "host_id": "string",      "mount_path": "string",      "mode": "string",      "state": "string",      "writes": {        "buffered": "not-observable",        "durable": "on-close",        "replicated": "unavailable"      },      "verification": "confirmed",      "reason": "string"    }  ],  "error": {},  "caveat": "string"}
Empty